"""This module holds the tests for the views of the ``cms`` app"""

from django.core.urlresolvers import reverse

from mtp.apps.common.tests.test_cases import MTPTestCase


class CMSViewTestCase(MTPTestCase):
    """Test cases for the views of the ``cms`` app"""

    def test_cms_index_view_should_work(self):
        """Test that the cms ``Index`` view is working correctly"""

        index_url = reverse('cms:index')

        self.login_as_admin()
        response = self.client.get(index_url)

        self.assertEqual(response.status_code, 200)
